package com.github.jfcloud.gene.file.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@Accessors(chain = true)
@Data
@Schema(description = "附件")
@NoArgsConstructor
public class FileVo {

    @Schema(description = "附件名称")
    private String name;

    @Schema(description = "附件链接")
    private String url;

    @Schema(description = "附件存储桶名称")
    private String bucketName;

    private String bucketUrl;

    public FileVo(String bucketName, String fileName) {
        this.bucketName = bucketName;
        this.name = fileName;
        this.url = String.format("/admin/sys-file/%s/%s", bucketName, fileName);
        this.bucketUrl = String.format("/%s/%s", bucketName, fileName);
    }
}
