package com.github.jfcloud.gene.sample.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 样本送检申请单详情
 */
@Data
public class CheckItemSerumVo {

    @Schema(description = "样本编号前缀")
    private String codePrefix;

    @Schema(description = "样本编号后缀")
    private String codeSuffix;

    @Schema(description = "lis样本类型id")
    private Long lisSampleTypeId;

    @Schema(description = "lis样本类型")
    private String lisSampleTypeName;

    @Schema(description = "lis性别id")
    private Integer lisSexId;

    @Schema(description = "lis性别")
    private String lisSexName;

    @Schema(description = "年龄")
    private String age;

    @Schema(description = "年龄单位")
    private String ageUnit;

    @Schema(description = "lis动物种类id")
    private Integer lisPetTypeId;

    @Schema(description = "lis动物种类")
    private String lisPetTypeName;

    @Schema(description = "lis专业组id")
    private Integer lisProfId;

    @Schema(description = "lis专业组")
    private String lisProfName;

    @Schema(description = "lis仪器id")
    private Integer lisMachineId;

    @Schema(description = "lis仪器")
    private String lisMachineName;

    /**
     * 检测指标
     */
    @Schema(description = "检测指标")
    private String target;

    /**
     * 样本数量
     */
    @Schema(description = "样本数量")
    private String num;

    @Schema(description = "申请日期")
    private String applyDate;

    /**
     * 送检日期
     */
    @Schema(description = "送检日期")
    private String sendDate;

    /**
     * 24h急检
     */
    @Schema(description = "加急")
    private String quick;

    /**
     * 样本需返还
     */
    @Schema(description = "样本需返还")
    private String needBack;

    /**
     * 备注或其他需求
     */
    @Schema(description = "备注或其他需求")
    private String remark;
}