package com.github.jfcloud.gene.sample.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.ArrayList;
import java.util.List;

@Data
public class SampleFoodVo {

    @Schema(description = "送检目的")
    private String purpose;

    @NotEmpty(message = "送检方名称不能为空")
    @Schema(description = "送检方名称")
    private String senderName;

    @Schema(description = "送检方地址")
    private String senderAddress;

    @NotEmpty(message = "送检方联系人不能为空")
    @Schema(description = "送检方联系人id")
    private Long senderContactId;

    @Schema(description = "送检方联系人名称")
    private String senderContactName;

    @NotEmpty(message = "送检方联系电话不能为空")
    @Schema(description = "送检方联系电话")
    private String senderPhone;

    @Schema(description = "送检方电子邮箱")
    private String senderEmail;

    @Schema(description = "样品类型")
    private String sampleType;

    @Schema(description = "样品类型-自定义")
    private String sampleTypeOther;

    @Schema(description = "样品照片")
    private String samplePhoto;

    @Schema(description = "样品照片-其他")
    private String samplePhotoOther;

    @Schema(description = "样品储存要求")
    private String storageRequirements;

    @Schema(description = "样品储存要求-其他")
    private String storageRequirementsOther;

    @Schema(description = "样品保留期限")
    private String retentionPeriod;

    @Schema(description = "是否危险性样品 0否 1是")
    private String hazard;

    @Schema(description = "样品危害描述")
    private String hazardDescription;

    @Schema(description = "样品危害描述-其他")
    private String hazardDescriptionOther;

    @Schema(description = "报告方式")
    private String reportMethod;

    @Schema(description = "报告类型")
    private String reportType;

    @Schema(description = "是否评判结果 0否 1是")
    private String hasEvaluation;

    @Schema(description = "检测结果是否以干基计 0否 1是")
    private String dryBasis;

    @Schema(description = "其他要求")
    private String otherRequirements;

    @Schema(description = "服务时限")
    private String serviceDeadline;

    @Schema(description = "收样人")
    private Long receiverId;

    @Schema(description = "收样人姓名")
    private String receiverName;

    private List<SampleFoodDetailVo> detailList = new ArrayList<>();

}